Home

# Class goog.ui.editor.TabPane

Creates a new Editor-style tab pane.

extends goog.ui.Component

Instance Method Summary
| `addTab(string id, string caption, string tooltip, ?Element content)` Adds a tab to the tab pane.
| `enterDocument()` Called when the component's element is known to be in the document. Anything using document.getElementById etc. should be done at this stage. If the component contains child components, this call is propagated to its children.
| `getCurrentTabId() ⇒ string`
| `handleTabSelect_(?goog.events.Event e)` Handles a tab change.
| `setSelectedTabId(string id)` Selects the tab with the given id.